LmConstWrapperVolatilityModel Class Reference

caplet const volatility model More...

`#include <ql/legacy/libormarketmodels/lmconstwrappervolmodel.hpp>`

Inheritance diagram for LmConstWrapperVolatilityModel:
[legend]

## Public Member Functions

| LmConstWrapperVolatilityModel (const boost::shared_ptr< LmVolatilityModel > &volaModel)
Disposable< Array > | volatility (Time t, const Array &x=Null< Array >()) const
Volatility | volatility (Size i, Time t, const Array &x=Null< Array >())
Real | integratedVariance (Size i, Size j, Time u, const Array &x=Null< Array >()) const
Public Member Functions inherited from LmVolatilityModel
| LmVolatilityModel (Size size, Size nArguments)
Size | size () const
std::vector< Parameter > & | params ()
void | setParams (const std::vector< Parameter > &arguments)
virtual Volatility | volatility (Size i, Time t, const Array &x=Null< Array >()) const

## Protected Attributes

const boost::shared_ptr< LmVolatilityModel > | volaModel_
Protected Attributes inherited from LmVolatilityModel
const Size | size_
std::vector< Parameter > | arguments_

## Detailed Description

caplet const volatility model